## dojox.cometd
Interface Message

All Superinterfaces:
  Map<String,Object>

All Known Implementing Classes:
  MessageImpl

    public interface Message

extends Map<String,Object>

A Bayeux Message A Map of String to Object that has been optimized for conversion to JSON messages.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Method Summary
`Message` `getAssociated()`
`String` `getChannel()`
`String` `getClientId()`
`Object` `getData()`
`String` `getId()`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### getClientId

    String getClientId()

### getChannel

    String getChannel()

### getId

    String getId()

### getData

    Object getData()

### getAssociated

    Message getAssociated()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.